Product
Product provides an alternative view of the styles and variants using the product resource. Styles can be retrieved with their associated SKUSize variants.
What you can do with Product:
URL/api/product Returns all styles in the system with all published fields and related Items (SKUizes).
Example of a returned product object with all fields
{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Product": [
{
"Style": "A0000002",
"Article": "FLORAL 2",
"Brand": "iLEVELman",
"Size_Range": "ONE",
"Product_Group": "Long Sleeve Shirts",
"Season": "AW17",
"Commodity_Code": "",
"Cost_Centre": "Misc",
"Care_Instructions": "",
"Fabric_Content": "100% cotton",
"Lining": "",
"Material_Fabric": "100% cotton",
"Outer": "",
"Origin": "",
"Items": [
{
"SKU": "A0000002003",
"SKUSize": "A0000002003A",
"Colour": "RED",
"Size": "ONE",
"Size_Sort": 1,
"Barcode": "5060395910068",
"In_Stock": 95,
"Demand": -2,
"Supply": 2,
"Available": 95
},
{
"SKU": "A0000002022",
"SKUSize": "A0000002022A",
"Colour": "BLUE",
"Size": "ONE",
"Size_Sort": 1,
"Barcode": "5060395910075",
"In_Stock": 95,
"Demand": -6,
"Supply": 3,
"Available": 92
}
]
}
]
}
}
Product Properties
| Property | Example | Description |
|---|---|---|
| Style | "A0000002" | Style/Colour code for the stock item |
| Article | "FLORAL 2" | Article name |
| Brand | "iLEVELman" | Brand code |
| Size_Range | "ONE" | Size range |
| Product_Group | "Trousers" | Product Group |
| Season | "AW" | Season |
| Commodity_Code | "12345678" | Commodity Group |
| Care_Instructions | "Hand wash only" | Care Instructions |
| Fabric_Content | "100% cotton" | Fabric Content |
| Lining | "Cotton" | Lining |
| Material_Fabric | "Cotton" | Matrial Fabric |
| Outer | "" | Outer material |
| Origin | "" | Country of origin |
| Items | [] | Array of objects containing the variants (SKUSizes) |
| SKUSize | "A0000001010A" | Unique SKU/Size for the stock item |
| Colour | "OFF WHITE" | The Colour name |
| Size | "S" | The size code |
| Size_Sort | 1 | The sort order for the size within the SKU |
| Barcode | "5060395910013" | Barcode for the item (usually EAN) |
| Style | "A0000001" | Style code (between 3 and 8 characters) |
| Article | "FLORAL 1" | The article name |
| Size_Range | "S - 3XL" | Size range name |
| In_Stock | 58 | Current in stock value |
| Demand | 0 | Total forward demand from customer orders |
| Supply | 2 | Current on supply order quantity |
| Available | 60 | In stock less demand plus supply |
| Web_Description | "" | Extended text description used for web sites |
| Product_Group | "Long Sleeve Shirts" | Product group name |
| Brand_Name | "iLEVELman" | Brand name |
| Season | "AW16" | Season code |
| Brand_Style | "" | Brand style |
| Cost_Centre | "" | Cost centre |
| Foreign_Stock_Code | "" | Alternative stock code. Can be used to link to another system |
| Origin | "China" | Where the product was created |
| Fabric_Content | "90% Cotton, 10% Polyester" | Fabric content of the product |
| Stock_Change_TS | "20170320153348" | Last change to the stock record |
| Discontinued | false | Boolean field indicating the product has been discontinued |
| Retail_Price_Own_Currency | 32 | Retail RRP of the product in own currency |
| Retail_Price_Currency1 | 0 | Retail RRP of the product in another currency (usually EUR) |
| Retail_Price_Currency2 | 0 | Second alternative RRP in alternative currency |
| Sell_Price1 | 12 | Trade selling price (own currency) |
| Sell_Price2 | 0 | Trade selling price currency 2 |
| Sell_Price3 | 0 | Trade selling price currency 3 |
| Sell_Price4 | 11.5 | Trade selling price currency 4 |
| Sell_Price5 | 12 | Trade selling price currency 5 |
| Sell_Price6 | 12 | Trade selling price currency 6 |
| Sell_Price7 | 0 | Trade selling price currency 7 |
| Sell_Price8 | 0 | Trade selling price currency 8 |
| Sell_Price9 | 0 | Trade selling price currency 9 |
Product Methods
Example of a returned stock object with trade specific fields
GET /api/product
Returns all products in the system with all published fields.